Subject: Re: bug#28505: 26.0.60; Crash in Fmove_point_visually

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Sep 2017 20:13:15 +0300

> From: Benjamin Riefenstahl <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 19 Sep 2017 18:13:05 +0200
> 
> > 	  if (row < MATRIX_FIRST_TEXT_ROW (w->current_matrix)
> > 	      || row > MATRIX_BOTTOM_TEXT_ROW (w->current_matrix, w))
> > 	    goto simulate_display;
> 
> MATRIX_BOTTON_TEXT_ROW calculates "rows + nrows" (plus the mode-line,
> but this is the minibuffer, so it does not have a mode-line).  So
> despite the name of the macro the result points *after* the bottom row,
> not *at* it.  Should that comparison be "row >= BOTTOM"?  I'll try that.
> The macro seems to be misnamed though if that is the problem.

Ah, yes.  MATRIX_BOTTON_TEXT_ROW gives the last row + 1, so this was
an off-by-one error.  Should be fixed now.